[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

X Strike Force XFree86 SVN commit: r1154 - trunk/debian



Author: branden
Date: 2004-03-16 15:46:39 -0500 (Tue, 16 Mar 2004)
New Revision: 1154

Modified:
   trunk/debian/changelog
   trunk/debian/rules
Log:
Fix IGNORE_MANFIEST_CHANGES logic to properly distinguish diff's exit
codes, and work as intended.  Thanks to Daniel Schepler for bringing this
problem to my attention.  (Closes: #238080)


Modified: trunk/debian/changelog
===================================================================
--- trunk/debian/changelog	2004-03-16 20:37:47 UTC (rev 1153)
+++ trunk/debian/changelog	2004-03-16 20:46:39 UTC (rev 1154)
@@ -41,8 +41,13 @@
       the sunffb driver.
     - debian/patches/073_sunffb_xaa_render_fb_support.diff: deleted
 
- -- Branden Robinson <branden@debian.org>  Tue, 16 Mar 2004 15:19:02 -0500
+  * Fix IGNORE_MANFIEST_CHANGES logic to properly distinguish diff's exit
+    codes, and work as intended.  Thanks to Daniel Schepler for bringing this
+    problem to my attention.  (Closes: #238080)
+    - debian/rules
 
+ -- Branden Robinson <branden@debian.org>  Tue, 16 Mar 2004 15:44:17 -0500
+
 xfree86 (4.3.0-5) unstable; urgency=medium
 
   * Urgency due to fix for FTBFS on some architectures.

Modified: trunk/debian/rules
===================================================================
--- trunk/debian/rules	2004-03-16 20:37:47 UTC (rev 1153)
+++ trunk/debian/rules	2004-03-16 20:46:39 UTC (rev 1154)
@@ -334,15 +334,22 @@
 	# confirm that the installed file list has not changed
 	if [ -e debian/MANIFEST.$(ARCH) ]; then \
 	  if ! cmp -s debian/MANIFEST.$(ARCH) debian/MANIFEST.$(ARCH).new; then \
-	    diff -U 0 debian/MANIFEST.$(ARCH) debian/MANIFEST.$(ARCH).new; \
-	    if [ -n "$$IGNORE_MANIFEST_CHANGES" ]; then \
-	      echo 'MANIFEST check failed; ignoring problem because \$$IGNORE_MANIFEST_CHANGES set' >&2; \
-	      echo 'Please ensure that the package maintainer has an up-to-date version of the' >&2; \
-	      echo 'MANIFEST.$(ARCH) file.' >&2; \
-	    $(ELSE) \
-	      echo 'MANIFEST check failed; please see debian/README' >&2; \
-	      exit 1; \
-	    fi; \
+	    diff -U 0 debian/MANIFEST.$(ARCH) debian/MANIFEST.$(ARCH).new || DIFFSTATUS=$$?; \
+	    case $${DIFFSTATUS:-0} in \
+	      0) ;; \
+	      1) if [ -n "$$IGNORE_MANIFEST_CHANGES" ]; then \
+	           echo 'MANIFEST check failed; ignoring problem because \$$IGNORE_MANIFEST_CHANGES set' >&2; \
+	           echo 'Please ensure that the package maintainer has an up-to-date version of the' >&2; \
+	           echo 'MANIFEST.$(ARCH) file.' >&2; \
+	         $(ELSE) \
+	           echo 'MANIFEST check failed; please see debian/README' >&2; \
+	           exit 1; \
+	         fi; \
+	         ;; \
+	      *) echo "diff reported unexpected exit status $$DIFFSTATUS when performing MANIFEST check" >&2; \
+	         exit 1; \
+	         ;; \
+	    esac; \
 	  fi; \
 	fi;
 else



Reply to: